# TdApi.MessageChatSetMessageAutoDeleteTime (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: MessageChatSetMessageAutoDeleteTime

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageChatSetMessageAutoDeleteTime

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageContent
it.tdlight.jni.TdApi.MessageChatSetMessageAutoDeleteTime

Enclosing class:
  TdApi

public static final class TdApi.MessageChatSetMessageAutoDeleteTime extends TdApi.MessageContent
The auto-delete or self-destruct timer for messages in the chat has been changed.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`long`
`fromUserId`
If not 0, a user identifier, which default setting was automatically applied.
`int`
`messageAutoDeleteTime`
New value auto-delete or self-destruct time, in seconds; 0 if disabled.

## Constructor Summary

Constructors
Constructor
Description
`MessageChatSetMessageAutoDeleteTime()`
The auto-delete or self-destruct timer for messages in the chat has been changed.
`MessageChatSetMessageAutoDeleteTime(int messageAutoDeleteTime, long fromUserId)`
The auto-delete or self-destruct timer for messages in the chat has been changed.
`MessageChatSetMessageAutoDeleteTime(DataInput input)`
The auto-delete or self-destruct timer for messages in the chat has been changed.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### messageAutoDeleteTime

public int messageAutoDeleteTime
New value auto-delete or self-destruct time, in seconds; 0 if disabled.

### fromUserId

public long fromUserId
If not 0, a user identifier, which default setting was automatically applied.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### MessageChatSetMessageAutoDeleteTime

public MessageChatSetMessageAutoDeleteTime()
The auto-delete or self-destruct timer for messages in the chat has been changed.

### MessageChatSetMessageAutoDeleteTime

public MessageChatSetMessageAutoDeleteTime(int messageAutoDeleteTime, long fromUserId)
The auto-delete or self-destruct timer for messages in the chat has been changed.

Parameters:
  `messageAutoDeleteTime` - int New value auto-delete or self-destruct time, in seconds; 0 if disabled.
  `fromUserId` - long If not 0, a user identifier, which default setting was automatically applied.

### MessageChatSetMessageAutoDeleteTime

public MessageChatSetMessageAutoDeleteTime(DataInput input) throws IOException
The auto-delete or self-destruct timer for messages in the chat has been changed.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`